Fetch series images
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/images' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backdrops": [
{
"aspect_ratio": 1.778,
"file_path": "/2tVchKGKg4vYe4IyvTnR45wlPYH.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 3.334,
"vote_count": 1,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/wV5PS1nCcHd4CqvhSJFav7jRKm4.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 1,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/bScNmdu7wwIIsqQpU8B8gratf0P.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/fijA09tQ2dbLjA1D1tz6We0MrrA.jpg",
"height": 1080,
"iso_639_1": "hi",
"vote_average": 2.278,
"vote_count": 3,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/kMo3EtW3DhY23lbhe4TFxWBZs0e.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 2.278,
"vote_count": 3,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/63DJiq5uhVXwJFL4nf49r0uyJjL.jpg",
"height": 1080,
"iso_639_1": "en",
"vote_average": 1.75,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/akjdbQxRopK8CyGEEoU4hM5Es6X.jpg",
"height": 1080,
"iso_639_1": "hi",
"vote_average": 1.75,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/btE5RFwCqOtwz7qVFY8tkRwF4pA.jpg",
"height": 1080,
"iso_639_1": "en",
"vote_average": 0.166,
"vote_count": 1,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/wJmcuxa0C4AERmA9mejxm9qRYDj.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0.166,
"vote_count": 1,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/1LTImbauHwKp2ESKzvGL3XtEaoo.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0,
"vote_count": 0,
"width": 1920
}
],
"id": 203504,
"logos": [
{
"aspect_ratio": 2.823,
"file_path": "/b9etOxFc9yMFg4jxf3jkAsbkDIA.png",
"height": 220,
"iso_639_1": "hi",
"vote_average": 0,
"vote_count": 0,
"width": 621
}
],
"posters": [
{
"aspect_ratio": 0.667,
"file_path": "/3O1vg2eotG8jelDU7N33XrRJxZt.jpg",
"height": 1620,
"iso_639_1": "hi",
"vote_average": 3.334,
"vote_count": 1,
"width": 1080
},
{
"aspect_ratio": 0.667,
"file_path": "/f2T5XDE4hxONselfJzy5hUCZBIt.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 3.334,
"vote_count": 1,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/lxIL2Qxii2qRqhvif9NpnamFPO0.jpg",
"height": 1080,
"iso_639_1": "hi",
"vote_average": 3.334,
"vote_count": 1,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/a4Z6Uohb6Ln5vcPvMUzwyn3WBjP.jpg",
"height": 750,
"iso_639_1": "en",
"vote_average": 2.278,
"vote_count": 3,
"width": 500
},
{
"aspect_ratio": 0.667,
"file_path": "/1skNvUMTKi9IH0Qv9rf0Piw0MPy.jpg",
"height": 1080,
"iso_639_1": "en",
"vote_average": 2.278,
"vote_count": 3,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/aHQPoBnxMHZkwkl8PszqJsg8Mfl.jpg",
"height": 1620,
"iso_639_1": "hi",
"vote_average": 2.278,
"vote_count": 3,
"width": 1080
},
{
"aspect_ratio": 0.751,
"file_path": "/zcCrnUL95d3M1c821e84zZcRCMl.jpg",
"height": 1439,
"iso_639_1": "en",
"vote_average": 0.166,
"vote_count": 1,
"width": 1080
},
{
"aspect_ratio": 0.667,
"file_path": "/wyNtotYr6mwMRC9ytmcVdXzNwdo.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0.166,
"vote_count": 1,
"width": 720
},
{
"aspect_ratio": 0.75,
"file_path": "/rZH5neYfNwdGKvEdgyE5jiTsPJV.jpg",
"height": 1438,
"iso_639_1": "hi",
"vote_average": 0,
"vote_count": 0,
"width": 1078
},
{
"aspect_ratio": 0.667,
"file_path": "/bmkcyS8hH9vw6p40qdE80ZaQunu.jpg",
"height": 1080,
"iso_639_1": "hi",
"vote_average": 0,
"vote_count": 0,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/93mOND6ESLeT8QznITkqbXoPudE.jpg",
"height": 1080,
"iso_639_1": "hi",
"vote_average": 0,
"vote_count": 0,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/jzRlDQeECsGvmEZVczOBVWJp47f.jpg",
"height": 1620,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 1080
},
{
"aspect_ratio": 0.667,
"file_path": "/1eV8WuGdk3BwlbXRKkgpsZwVpRI.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0,
"vote_count": 0,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/hl6UqydkStABLAiHT9Qtb3lNwrt.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0,
"vote_count": 0,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/fb7t2vdpUL8L96L6vr0eOEyw1nC.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0,
"vote_count": 0,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/gsnGx3nIRyWOSlReaEXlpE1YOJl.jpg",
"height": 1080,
"iso_639_1": "ar",
"vote_average": 0,
"vote_count": 0,
"width": 720
}
]
}Tv-Series
Fetch series images
This endpoint allows you to get the images that belong to a TV series.
GET
/
tv
/
{series_id}
/
images
Fetch series images
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
specify a comma separated list of ISO-639-1 values to query, for example: en,null
Example:
"string"
Example:
"string"
Response
200 - application/json
Fetch series images
Show child attributes
Show child attributes
Example:
[ { "aspect_ratio": 1.778, "file_path": "/2tVchKGKg4vYe4IyvTnR45wlPYH.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 3.334, "vote_count": 1, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/wV5PS1nCcHd4CqvhSJFav7jRKm4.jpg", "height": 1080, "iso_639_1": null, "vote_average": 3.334, "vote_count": 1, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/bScNmdu7wwIIsqQpU8B8gratf0P.jpg", "height": 1080, "iso_639_1": null, "vote_average": 3.334, "vote_count": 2, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/fijA09tQ2dbLjA1D1tz6We0MrrA.jpg", "height": 1080, "iso_639_1": "hi", "vote_average": 2.278, "vote_count": 3, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/kMo3EtW3DhY23lbhe4TFxWBZs0e.jpg", "height": 1080, "iso_639_1": null, "vote_average": 2.278, "vote_count": 3, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/63DJiq5uhVXwJFL4nf49r0uyJjL.jpg", "height": 1080, "iso_639_1": "en", "vote_average": 1.75, "vote_count": 2, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/akjdbQxRopK8CyGEEoU4hM5Es6X.jpg", "height": 1080, "iso_639_1": "hi", "vote_average": 1.75, "vote_count": 2, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/btE5RFwCqOtwz7qVFY8tkRwF4pA.jpg", "height": 1080, "iso_639_1": "en", "vote_average": 0.166, "vote_count": 1, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/wJmcuxa0C4AERmA9mejxm9qRYDj.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0.166, "vote_count": 1, "width": 1920 }, { "aspect_ratio": 1.778, "file_path": "/1LTImbauHwKp2ESKzvGL3XtEaoo.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0, "vote_count": 0, "width": 1920 } ]
Example:
203504
Show child attributes
Show child attributes
Example:
[ { "aspect_ratio": 2.823, "file_path": "/b9etOxFc9yMFg4jxf3jkAsbkDIA.png", "height": 220, "iso_639_1": "hi", "vote_average": 0, "vote_count": 0, "width": 621 } ]
Show child attributes
Show child attributes
Example:
[ { "aspect_ratio": 0.667, "file_path": "/3O1vg2eotG8jelDU7N33XrRJxZt.jpg", "height": 1620, "iso_639_1": "hi", "vote_average": 3.334, "vote_count": 1, "width": 1080 }, { "aspect_ratio": 0.667, "file_path": "/f2T5XDE4hxONselfJzy5hUCZBIt.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 3.334, "vote_count": 1, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/lxIL2Qxii2qRqhvif9NpnamFPO0.jpg", "height": 1080, "iso_639_1": "hi", "vote_average": 3.334, "vote_count": 1, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/a4Z6Uohb6Ln5vcPvMUzwyn3WBjP.jpg", "height": 750, "iso_639_1": "en", "vote_average": 2.278, "vote_count": 3, "width": 500 }, { "aspect_ratio": 0.667, "file_path": "/1skNvUMTKi9IH0Qv9rf0Piw0MPy.jpg", "height": 1080, "iso_639_1": "en", "vote_average": 2.278, "vote_count": 3, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/aHQPoBnxMHZkwkl8PszqJsg8Mfl.jpg", "height": 1620, "iso_639_1": "hi", "vote_average": 2.278, "vote_count": 3, "width": 1080 }, { "aspect_ratio": 0.751, "file_path": "/zcCrnUL95d3M1c821e84zZcRCMl.jpg", "height": 1439, "iso_639_1": "en", "vote_average": 0.166, "vote_count": 1, "width": 1080 }, { "aspect_ratio": 0.667, "file_path": "/wyNtotYr6mwMRC9ytmcVdXzNwdo.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0.166, "vote_count": 1, "width": 720 }, { "aspect_ratio": 0.75, "file_path": "/rZH5neYfNwdGKvEdgyE5jiTsPJV.jpg", "height": 1438, "iso_639_1": "hi", "vote_average": 0, "vote_count": 0, "width": 1078 }, { "aspect_ratio": 0.667, "file_path": "/bmkcyS8hH9vw6p40qdE80ZaQunu.jpg", "height": 1080, "iso_639_1": "hi", "vote_average": 0, "vote_count": 0, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/93mOND6ESLeT8QznITkqbXoPudE.jpg", "height": 1080, "iso_639_1": "hi", "vote_average": 0, "vote_count": 0, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/jzRlDQeECsGvmEZVczOBVWJp47f.jpg", "height": 1620, "iso_639_1": null, "vote_average": 0, "vote_count": 0, "width": 1080 }, { "aspect_ratio": 0.667, "file_path": "/1eV8WuGdk3BwlbXRKkgpsZwVpRI.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0, "vote_count": 0, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/hl6UqydkStABLAiHT9Qtb3lNwrt.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0, "vote_count": 0, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/fb7t2vdpUL8L96L6vr0eOEyw1nC.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0, "vote_count": 0, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/gsnGx3nIRyWOSlReaEXlpE1YOJl.jpg", "height": 1080, "iso_639_1": "ar", "vote_average": 0, "vote_count": 0, "width": 720 } ]
⌘I